Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jan 2021 10:05:55 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I tried to apply code MAX100 since two days. Apparently it aplies for orders above 400aed. I had items for 500+ in my basket, but it didn't work. I called yesterday and been promised a return call within 24 hrs which never came. Hence I removed most items and reduced to a much lower value as I didn't want to support such wrong doing on customers. I would have cancelled the entire order if it wasn't for my daughter who wanted those items. Disappointed and annoyed.

Btw I tried leaving feedback after ordering, but the function seems to not be working.  I attempted it several times, but no confirmation was shown on the page. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1955474